## fcitx5-qt 5.0.10.1

=== debian/changelog ===
fcitx5-qt (5.0.10.1-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 22 Feb 2022 17:57:57 +0800
