=== debian/changelog ===
fcitx5-qt (5.0.14-2build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 10:00:23 +0300

fcitx5-qt (5.0.14-2) unstable; urgency=medium

  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override. (Closes: #1002674)

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Aug 2022 16:05:03 -0400

fcitx5-qt (5.0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:38:37 -0400

fcitx5-qt (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jun 2022 16:27:32 -0400

fcitx5-qt (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 21:27:07 -0400

fcitx5-qt (5.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Enable Qt6 support.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:48:39 -0400
