=== debian/changelog ===
fcitx5-qt (5.0.16-1build4) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 01:01:58 +0300

fcitx5-qt (5.0.16-1build3) lunar; urgency=medium

  * No-change rebuild against qt6 6.4.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Jan 2023 23:26:01 +0000

fcitx5-qt (5.0.16-1build2) lunar; urgency=medium

  * No-change rebuild against qt6-base-abi (= 6.4.2).

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:48:21 +0000

fcitx5-qt (5.0.16-1build1) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 11:57:15 +0300

fcitx5-qt (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 12:39:06 -0500

fcitx5-qt (5.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream-provided tarball.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Sep 2022 13:30:21 -0400
