=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 5.0.11),
+ libfcitx5utils-dev (>= 5.0.16~),
  libxcb1-dev,
  libxkbcommon-dev,
+ qt6-base-dev,
+ qt6-base-private-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
@@ -27,7 +30,7 @@
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: IM module for fcitx5
+Description: Qt5 IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
@@ -41,13 +44,33 @@
  .
  This package provides the Qt5 IM Module for fcitx5.
 
+Package: fcitx5-frontend-qt6
+Architecture: any
+Section: libs
+Depends:
+ libfcitx5-qt6-1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Qt6 IM module for fcitx5
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the Qt6 IM Module for fcitx5.
+
 Package: libfcitx5-qt-data
 Architecture: all
 Multi-Arch: foreign
 Section: libs
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Qt library and IM module for fcitx5 (data files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -69,7 +92,6 @@
 Depends:
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Qt library and IM module for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -105,3 +127,46 @@
  and desktop environments.
  .
  This package provides the Qt5 support for fcitx5.
+
+Package: libfcitx5-qt6-1
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ libfcitx5-qt-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Qt6 library and IM module for fcitx5
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the Qt6 support for fcitx5.
+
+Package: libfcitx5-qt6-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libfcitx5-qt6-1 (= ${binary:Version}),
+ ${misc:Depends},
+Description: Qt6 library and IM module for fcitx5 (development files)
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the development files for fcitx5-qt (qt6).
