## fcitx5-qt 5.0.17

=== debian/changelog ===
fcitx5-qt (5.0.17-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Mar 2023 13:39:26 -0400
