=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.6.0),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 5.0.16~),
+ libfcitx5utils-dev (>= 5.0.23~),
  libxcb1-dev,
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-base-private-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
