=== debian/changelog ===
fcitx5-qt (5.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 07:59:28 -0400

fcitx5-qt (5.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/*.install: Also install usr/bin/fcitx5-qt*-immodule-probing.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Aug 2023 22:23:41 -0400

fcitx5-qt (5.0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Jun 2023 19:23:43 -0400
