=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 5.0.23~),
+ libfcitx5utils-dev (>= 5.1),
  libxcb1-dev,
  libxkbcommon-dev,
  qt6-base-dev,
