=== qt5/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
-
 set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
 if (WITH_FCITX_PLUGIN_NAME)
     set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
@@ -8,6 +6,11 @@
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")
 
 set(plugin_SRCS
+    fcitx4watcher.cpp
+    fcitx4inputcontextproxy.cpp
+    fcitx4inputcontextproxyimpl.cpp
+    fcitx4inputmethodproxy.cpp
+    hybridinputcontext.cpp
     qfcitxplatforminputcontext.cpp
     fcitxcandidatewindow.cpp
     fcitxtheme.cpp
@@ -24,7 +27,7 @@
 set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                          AUTOMOC TRUE
                         )
-target_include_directories(fcitx5platforminputcontextplugin PRIVATE "${PROJECT_SOURCE_DIR}/common")
+target_include_directories(fcitx5platforminputcontextplugin PRIVATE ${Qt5Gui_PRIVATE_INCLUDE_DIRS} "${PROJECT_SOURCE_DIR}/common")
 if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
 target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DQT_STATICPLUGIN")
 endif()
