=== qt6/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
                          OUTPUT_NAME fcitx5platforminputcontextplugin
                          AUTOMOC TRUE
                         )
-target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE ${Qt6Gui_PRIVATE_INCLUDE_DIRS} "${PROJECT_SOURCE_DIR}/common")
+target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE "${PROJECT_SOURCE_DIR}/common")
 if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
 target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DQT_STATICPLUGIN")
 endif()
@@ -43,11 +43,15 @@
 target_link_libraries(fcitx5platforminputcontextplugin-qt6
                           Qt6::Core
                           Qt6::Gui
+                          Qt6::GuiPrivate
                           Qt6::DBus
                           Qt6::Widgets
                           XCB::XCB
                           Fcitx5Qt6::DBusAddons
                           XKBCommon::XKBCommon
+                          Qt6::WaylandGlobalPrivate
+                          Qt6::WaylandClient
+                          Qt6::WaylandClientPrivate
                          )
 
 get_target_property(_QT6_QMAKE_EXECUTABLE Qt6::qmake LOCATION)
