=== debian/control ===
--- 
+++ 
@@ -14,6 +14,9 @@
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-base-private-dev,
+ qt6-wayland,
+ qt6-wayland-dev,
+ qt6-wayland-private-dev,
  qtbase5-dev,
  qtbase5-private-dev,
 Standards-Version: 4.6.2
