=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	        -DENABLE_QT4=Off \
	        -DENABLE_QT6=On
