## fcitx5-qt 5.1.6

=== debian/changelog ===
fcitx5-qt (5.1.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Apr 2024 13:16:38 -0400

fcitx5-qt (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add missing development package dependency to
    Qt5 and Qt6 dev packages.
  * debian/libfcitx5-qt6-1.lintian-overrides: Update lintian overrides.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Apr 2024 22:12:49 -0400

fcitx5-qt (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:08:56 -0400
