=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -93,6 +92,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ qtbase5-dev,
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Qt library and IM module for fcitx5 (development files)
@@ -158,6 +158,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ qt6-base-dev,
  libfcitx5-qt6-1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Qt6 library and IM module for fcitx5 (development files)
