## fcitx5-qt 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.1.4)
+project(fcitx5-qt VERSION 5.1.8)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
@@ -10,9 +10,9 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-option(ENABLE_QT4 "Enable Qt 4" On)
+option(ENABLE_QT4 "Enable Qt 4" Off)
 option(ENABLE_QT5 "Enable Qt 5" On)
-option(ENABLE_QT6 "Enable Qt 6" Off)
+option(ENABLE_QT6 "Enable Qt 6" On)
 option(ENABLE_X11 "Enable X11 support" On)
 option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
 option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
