=== debian/changelog ===
fcitx5-qt (5.1.8-1zneon+24.04+noble+stable+build10) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 13 Aug 2025 05:43:46 +0000

fcitx5-qt (5.1.8-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 05 Nov 2024 11:49:53 +1000

fcitx5-qt (5.1.5-1neon) noble; urgency=medium

  * No change rebuild for abi

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 23 Apr 2024 13:35:53 +1100

fcitx5-qt (5.1.5-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 13:35:53 +1100

fcitx5-qt (5.1.4-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 15 Jan 2024 15:29:08 +1000

fcitx5-qt (5.1.3-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 20 Dec 2023 13:40:21 +1000

fcitx5-qt (5.1.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 23 Aug 2023 08:05:34 +1000
