=== debian/control ===
--- 
+++ 
@@ -1,37 +1,32 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- extra-cmake-modules,
- gettext,
- libfcitx5utils-dev (>= 5.1),
- libxcb1-dev,
- libxkbcommon-dev,
- qt6-base-dev,
- qt6-base-private-dev,
- qt6-wayland,
- qt6-wayland-dev,
- qt6-wayland-private-dev,
- qtbase5-dev,
- qtbase5-private-dev,
+Uploaders: Boyuan Yang <byang@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               extra-cmake-modules,
+               gettext,
+               libfcitx5utils-dev (>= 5.0.23~),
+               libxcb1-dev,
+               libxkbcommon-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-wayland-dev,
+               qtbase5-dev,
+               qtbase5-private-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
-Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
-Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
+Vcs-Git: https://invent.kde.org/neon/backports-noble/fcitx5-qt-noble.git
+Vcs-Browser: https://invent.kde.org/neon/backports-noble/fcitx5-qt-noble
+Maintainer: Neon CI <neon@kde.org>
 
 Package: fcitx5-frontend-qt5
 Architecture: any
 Section: libs
-Depends:
- libfcitx5-qt1 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt5 IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -49,10 +44,10 @@
 Package: fcitx5-frontend-qt6
 Architecture: any
 Section: libs
-Depends:
- libfcitx5-qt6-1 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt6-1 (= ${binary:Version}),
+         qt6-base,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt6 IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -71,8 +66,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libs
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Qt library and IM module for fcitx5 (data files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -91,10 +85,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends:
- qtbase5-dev,
- libfcitx5-qt1 (= ${binary:Version}),
- ${misc:Depends},
+Depends: libfcitx5-qt1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: Qt library and IM module for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -113,10 +104,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
- libfcitx5-qt-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt library and IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -135,10 +125,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
- libfcitx5-qt-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt6 library and IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -157,10 +146,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends:
- qt6-base-dev,
- libfcitx5-qt6-1 (= ${binary:Version}),
- ${misc:Depends},
+Depends: libfcitx5-qt6-1 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
 Description: Qt6 library and IM module for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
